## org.eclipse.datatools.connectivity.ui
Class CommonContentProviderBase

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.CommonContentProviderBase

public abstract class CommonContentProviderBase
extends java.lang.Object

Base content provider class that can be extended for adding content to a connection profile using a navigatorContent extension. Manages the associations between IConnectionProfile, IContentExtension and the connection object. Content from the connection object on down is provided by the delegate content provider. This class allows clients to plug-in existing content providers for a connection type.

Author:
  rcernich Created on Apr 20, 2004

Method Summary
`void` `dispose()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.Object[]` `getChildren(java.lang.Object parentElement)`
`IContentExtension` `getContentExtension(IConnectionProfile profile)`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`java.lang.Object` `getParent(java.lang.Object element)`
`boolean` `hasChildren(java.lang.Object element)`
`int` `hashCode()`
`void` `init(ICommonContentExtensionSite aConfig)`
`void` `init(IExtensionStateModel aStateModel, IMemento aMemento)`
`void` `inputChanged(Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`
`void` `restoreState(IMemento aMemento)`
`void` `saveState(IMemento aMemento)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### dispose

    public void dispose()

### init

    public void init(IExtensionStateModel aStateModel,
                     IMemento aMemento)

### init

    public void init(ICommonContentExtensionSite aConfig)

### restoreState

    public void restoreState(IMemento aMemento)

### saveState

    public void saveState(IMemento aMemento)

### getContentExtension

    public IContentExtension getContentExtension(IConnectionProfile profile)

  Parameters:
    `profile` -
  Returns:
    the contente extension for the specified profile. A content extension will be created if one does not already exist.

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parentElement)

### getParent

    public java.lang.Object getParent(java.lang.Object element)

### hasChildren

    public boolean hasChildren(java.lang.Object element)

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

### inputChanged

    public void inputChanged(Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.